Skip to main content
POST
Python (SDK)

Authorizations

Authorization
string
header
required

Send Authorization: Bearer , using an MKA1 API key for automation or an OAuth API access token for a signed-in application. Use a dynamic security callback to refresh OAuth access tokens. Browser session-only operations still require their declared cookie.

Headers

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Path Parameters

conversation_id
string
required

The ID of the conversation

Body

application/json
metadata
object
required

Set of 16 key-value pairs to update.

Response

200 - application/json

OK

id
string
required

The unique ID of the conversation

object
any
required

The object type, always 'conversation'

created_at
number
required

Unix timestamp of when the conversation was created

deleted_at
number | null
required

Unix timestamp of when the conversation was soft-deleted, or null if not deleted.

metadata
object | null

Set of 16 key-value pairs. Keys max 64 chars, values max 512 chars.

identity
string

Identity of the conversation owner. Either a SHA256 hash or raw userId:externalUserId depending on IDENTITY_MODE.